Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Mon 05 Dec 2016, 23:18
All times are UTC - 4
 Forum index » House Training » Users ( For the regulars ) » Pour les francophones
mise a jour firefox impossible
Moderators: Béèm, darkerror05
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [11 Posts]  
Author Message
booker62

Joined: 08 Mar 2016
Posts: 5

PostPosted: Tue 08 Mar 2016, 06:50    Post subject:  mise a jour firefox impossible  

bonjour a tous
Je suis nouveau sous linux mais j ai déjà un peu bidouiller sous unbutu
Donc voila mon souci je suis sous Toutou Linux 4.3.6 et j aimerai mettre a jour firefox.
Pour cela j utilise le paquet de l assos asri
firefox-38.0.5_fr_asri_20150702.pet (50Mo)
donc après l installation du dit paquet je le trouve dans le menu sans icône déjà la je trouve que c est pas normal mais bon
Je clicque dessus et la rien ne se passe pas de Firefox a l écran et quand j essaye d utiliser la version installé d origine de firefox avec le toutou il ne fonctionne plus non plus.
Ce que j ai essayé de faire de mon coté déjà désinstallation de l ancienne version de firefox avant la mise en place du paquet version 38.0.5 puis mise en place de cette dite version mais cela ne change rien.
Toujours pas de firefox quand je clicque dessus si quelqu un a eu ce souci merci de me venir en aide
Back to top
View user's profile Send private message 
musher0


Joined: 04 Jan 2009
Posts: 8911
Location: Gatineau (Qc), Canada

PostPosted: Tue 08 Mar 2016, 13:29    Post subject:  

Salut booker62.

C'est peut-être juste un détail, une petite incohérence de rien de tout, dans le fichier
/usr/share/applications/firefox.desktop, par exemple.

Tu as une adresse (URL) pour le téléchargement? Je vais regarder ça.

~~~~~~~~~~~~
En passant tu sais que Firefox est rendu à la version 44 ? Tu peux télécharger
firefox version 44, localisation française, d'ici :
https://www.mozilla.org/en-US/firefox/all/

Descends dans la liste jusqu'à la rubrique "French" puis clique sur le pingouin dans
l'avant-dernière colonne à droite pour la 32-bit, sur le pingouin dans la dernière
colonne à droite pour la 64-bit.
    Tu le télécharges dans /mnt/home,
    tu le déballes,
    tu entres dans le dossier firefox,
    tu cliques sur < firefox >, et ça y est !
~~~~~~~~~~~
Si tu optes pour ma solution, je te suggère:
de désactiver complètement la mise à jour automatique dans firefox
__ (c'est sous > préférences > avancé > mises à jour)
__ Je te le suggère parce que la mises à jour automatique est traîtresse quand elle
__ arrive au mauvais moment : tu peux perdre des données.

de remplacer ton fichier /usr/local/bin/defaultbrowser par celui ci-joint.
__ À l'aide de "OU" logiques, j'ai composé un petit lanceur qui lance le premier
__ navigateur qu'il trouve, parmi une liste d'une bonne douzaine. Ouvre-le, tu verras.
__ Tu peux intervertir les noms de programme au besoin pour en changer l'ordre,
__ mais il faut laisser le < "$@" > en place.
__
__ Pour que le petit script ci-dessus fonctionne, il faut que tu fasses un lien
__ symbolique de < /mnt/home/firefox/firefox > à < /usr/bin/firefox >

une fois ton firefox ouvert,
__ tape dans la ligne des addresses web: < about:config > (sans les chevrons)
__ clique sur la "pilule" d'acceptation Smile
__ tape dans la boîte de recherche: < last > (sans les chevrons)
__ au milieu de la page tu vas voir une rubrique avec "lasttab" dedans, et au bout
__ de la ligne, c'est marqué "true". Double-clique sur cette ligne, ça va changer
__ "true" à "false" : ton firefox ne se fermera plus quand tu fermeras son dernier
__ onglet. À la place, il va afficher un panneau de grosses icônes illustrant les
__ derniers sites que tu as visités. Très commode, je trouve.

Alors voilà ! Désolé pour les conseils non sollicités ! Wink

À+
defaultbrowser.zip
Description  Déballer dans /usr/local/bin et rendre exécutable
zip

 Download 
Filename  defaultbrowser.zip 
Filesize  293 Bytes 
Downloaded  36 Time(s) 

_________________
musher0
~~~~~~~~~~
"The greatest of minds are the ones that never close." | "Les plus grands esprits sont ceux qui ne se ferment jamais."
(starhawk, Resident Philosopher | philosophe en résidence) Wink
Back to top
View user's profile Send private message 
booker62

Joined: 08 Mar 2016
Posts: 5

PostPosted: Tue 08 Mar 2016, 15:01    Post subject:  

merci mon ami canadien je vais tester tout cela demain et je donnerais un retour Smile
bonne soirée a toi
Back to top
View user's profile Send private message 
Mdor


Joined: 24 Jul 2010
Posts: 1059
Location: France

PostPosted: Tue 08 Mar 2016, 15:10    Post subject:  

Bonsoir booker62,

Les versions récentes de Firefox et de SeaMonkey ne fonctionnent pas sous Toutou-4.3.6 ni même sous Toutou-Wolx Exclamation

Cordialement,
Médor.

_________________
Recherches Puppy|Index Puppy|Index FR|Tuto Toutou
Back to top
View user's profile Send private message 
booker62

Joined: 08 Mar 2016
Posts: 5

PostPosted: Tue 08 Mar 2016, 15:22    Post subject:    

merci pour ce retour j allais justement te dire que rien n a changer après la manip ;D que tu m as donné lol
donc je pense que je vais passer sur opera en esperant que lui n a pas trop de souci Twisted Evil
Back to top
View user's profile Send private message 
Mdor


Joined: 24 Jul 2010
Posts: 1059
Location: France

PostPosted: Tue 08 Mar 2016, 15:41    Post subject:  

Oui, Opera en version 12.x fonctionne sous Toutou-4.3.1/4.3.6
À télécharger dans le dépôt de Toutou-4.3.1/6

Cordialement,
Médor.

_________________
Recherches Puppy|Index Puppy|Index FR|Tuto Toutou
Back to top
View user's profile Send private message 
joreveur

Joined: 03 Mar 2016
Posts: 6

PostPosted: Tue 08 Mar 2016, 17:07    Post subject:  

M�dor wrote:
Bonsoir booker62,

Les versions récentes de Firefox et de SeaMonkey ne fonctionnent pas sous Toutou-4.3.6 ni même sous Toutou-Wolx Exclamation

Cordialement,
Médor.

Bonsoir,
on a une idée du pourquoi ça ne marche pas ? (ou plus)

_________________
joreveur (ex jopervasco)
http://joreveur.info/

Back to top
View user's profile Send private message 
Mdor


Joined: 24 Jul 2010
Posts: 1059
Location: France

PostPosted: Tue 08 Mar 2016, 17:49    Post subject: Faut pas réver ;)  

Bonsoir joreveur,

C'est tout simplement impossible Exclamation
Voir les messages de Barryk à ce propos Wink

Cordialement,
Médor.

_________________
Recherches Puppy|Index Puppy|Index FR|Tuto Toutou
Back to top
View user's profile Send private message 
joreveur

Joined: 03 Mar 2016
Posts: 6

PostPosted: Wed 09 Mar 2016, 04:24    Post subject:  

Merci
et les autres versions de Puppy comme Tahr et Slacko ?
Back to top
View user's profile Send private message 
Mdor


Joined: 24 Jul 2010
Posts: 1059
Location: France

PostPosted: Wed 09 Mar 2016, 05:17    Post subject:  

Bonjour joreveur,

Naturellemet ça fonctionne sur les versions récentes de Puppy et sur un PC pas trop antique.

D'après le site de Mozilla pour Firefox 45.0 :

Quote:
Recommended Hardware
Pentium 4 or newer processor that supports SSE2
512MB of RAM
200MB of hard drive space


GNU/Linux
Software Requirements

Firefox will not run at all without the following libraries or packages:
GTK+ 2.18 or higher
GLib 2.22 or higher
Pango 1.14 or higher
X.Org 1.0 or higher (1.7 or higher is recommended)
libstdc++ 4.3 or higher

For optimal functionality, we recommend the following libraries or packages:
NetworkManager 0.7 or higher
DBus 1.0 or higher
HAL 0.5.8 or higher
GNOME 2.16 or higher



Cordialement,
Médor.

_________________
Recherches Puppy|Index Puppy|Index FR|Tuto Toutou
Back to top
View user's profile Send private message 
Pelo


Joined: 10 Sep 2011
Posts: 10093
Location: Mer méditerrannée (1 kms°)

PostPosted: Sun 01 May 2016, 18:37    Post subject: Les demandes de dépannage arrivent partout.  

Les demandes de dépannage arrivent partout.
Sur ToOpPy Argolance sait faire tourner les derniers Firefox.
Lib gtk3 dispo pour tahrpup

_________________
November : protect your Puppies of frosts (to freeze, Confused froze, frozen)
Back to top
View user's profile Send private message Yahoo Messenger 
Display posts from previous:   Sort by:   
Page 1 of 1 [11 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » House Training » Users ( For the regulars ) » Pour les francophones
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0710s ][ Queries: 12 (0.0061s) ][ GZIP on ]